package com.nisum.attendance.attendance.repository;

import com.nisum.attendance.attendance.model.Attendance;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface AttendanceRepository extends JpaRepository<Attendance, Long> {
    @Query("FROM Attendance a  WHERE a.studentEmail = ?1")
    List<Attendance> findByStudentEmail(String studentEmail);
}
